# mt_allocator.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file mt_allocator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Defines

- #define __thread_default
- #define _MT_ALLOCATOR_H

## Typedefs

- typedef void(* __create_handler )(void)
- typedef void(* __destroy_handler )(void *)

## Functions

- template<typename _Tp, typename _Poolp> bool operator!= (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)
- template<typename _Tp, typename _Poolp> bool operator== (const __mt_alloc< _Tp, _Poolp > &, const __mt_alloc< _Tp, _Poolp > &)